### Enumeration

# Qmi DsdDataSystemNetworkType

since: 1.32

#### Declaration

    enum Qmi.DsdDataSystemNetworkType

#### Description [src]

Network type of the data system.

Available since: 1.32

#### Members

`QMI_DSD_DATA_SYSTEM_NETWORK_TYPE_3GPP`

  3GPP network type.

  - Value: `0`
  - Available since: 1.32
`QMI_DSD_DATA_SYSTEM_NETWORK_TYPE_3GPP2`

  3GPP2 network type.

  - Value: `1`
  - Available since: 1.32
`QMI_DSD_DATA_SYSTEM_NETWORK_TYPE_WLAN`

  WLAN network type.

  - Value: `2`
  - Available since: 1.32

#### Type functions

###### qmi_dsd_data_system_network_type_get_string

Gets the nickname string for the `QmiDsdDataSystemNetworkType` specified at `val`.

since: 1.32